//+------------------------------------------------------------------+
//|                                                    +RSI_Mtr+.mq4 |
//|                                        Copyright  2008, masemus |
//|                                                 Gresik@Indonesia |
//+------------------------------------------------------------------+
#property copyright "masemus"
#property link      "masemus@yahoo.com"

#property indicator_chart_window

//---- Pos!
extern int window       = 1;
extern int corner       = 3;
extern int y_offset     = 35;
extern int x_offset     = 280;

//****************************************
extern int RSI          = 5;
extern int Price_Type   = 0;
extern int RSI_up9      = 95;
extern int RSI_up8      = 90;
extern int RSI_up7      = 85;
extern int RSI_up6      = 80;
extern int RSI_up5      = 75;
extern int RSI_up4      = 70;
extern int RSI_up3      = 65;
extern int RSI_up2      = 60;
extern int RSI_up1      = 55;
extern int RSI_MID      = 50;
extern int RSI_dn1      = 45;
extern int RSI_dn2      = 40;
extern int RSI_dn3      = 35;
extern int RSI_dn4      = 30;
extern int RSI_dn5      = 25;
extern int RSI_dn6      = 20;
extern int RSI_dn7      = 15;
extern int RSI_dn8      = 10;
extern int RSI_dn9      = 5;
//----
extern color up10_clr   = C'19,119,19';
extern color up9_clr    = C'22,135,22';
extern color up8_clr    = C'24,154,24';
extern color up7_clr    = C'29,182,29';
extern color up6_clr    = C'32,202,32';
extern color up5_clr    = C'53,233,53';
extern color up4_clr    = C'104,232,104';
extern color up3_clr    = LightGreen;
extern color up2_clr    = GreenYellow;
extern color up1_clr    = LightSkyBlue;
extern color MID_clr    = DarkGray;
extern color dn1_clr    = LightPink;
extern color dn2_clr    = Yellow;
extern color dn3_clr    = Gold;
extern color dn4_clr    = Orange;
extern color dn5_clr    = DarkOrange;
extern color dn6_clr    = OrangeRed;
extern color dn7_clr    = Red;
extern color dn8_clr    = Crimson;
extern color dn9_clr    = FireBrick;
extern color dn10_clr   = Maroon;
extern color Line30_70_clr   = White;
//****************************************


//+------------------------------------------------------------------+
//| Custom indicator iteration function                              |
//+------------------------------------------------------------------+
int start()
  {    

//*****************************************************************************************************
   double cP1=iRSI(Symbol(),1,RSI,Price_Type,0); 
   double cP2=iRSI(Symbol(),5,RSI,Price_Type,0); 
   double cP3=iRSI(Symbol(),15,RSI,Price_Type,0); 
   double cP4=iRSI(Symbol(),30,RSI,Price_Type,0); 
   double cP5=iRSI(Symbol(),60,RSI,Price_Type,0); 
   double cP6=iRSI(Symbol(),240,RSI,Price_Type,0); 
   double cP7=iRSI(Symbol(),1440,RSI,Price_Type,0); 

   double pP1=iRSI(Symbol(),1,RSI,Price_Type,1); 
   double pP2=iRSI(Symbol(),5,RSI,Price_Type,1); 
   double pP3=iRSI(Symbol(),15,RSI,Price_Type,1); 
   double pP4=iRSI(Symbol(),30,RSI,Price_Type,1); 
   double pP5=iRSI(Symbol(),60,RSI,Price_Type,1); 
   double pP6=iRSI(Symbol(),240,RSI,Price_Type,1); 
   double pP7=iRSI(Symbol(),1440,RSI,Price_Type,1); 

   color midP1_clr,ud1P1_clr,ud2P1_clr,ud3P1_clr,ud4P1_clr,
         ud5P1_clr,ud6P1_clr,ud7P1_clr,ud8P1_clr,ud9P1_clr;
   color midoP1_clr,midoP2_clr,midoP3_clr,midoP4_clr,
         midoP5_clr,midoP6_clr,midoP7_clr;

   if (cP1 == RSI_MID) {midP1_clr=MID_clr;}
   if (cP1 > RSI_MID) {midP1_clr=up1_clr;}
   if (cP1 < RSI_MID) {midP1_clr=dn1_clr;}
   if (cP1 >= RSI_up1) {ud1P1_clr=up2_clr;}
   if (cP1 <= RSI_dn1) {ud1P1_clr=dn2_clr;}
   if (cP1 >= RSI_up2) {ud2P1_clr=up3_clr;}
   if (cP1 <= RSI_dn2) {ud2P1_clr=dn3_clr;}
   if (cP1 >= RSI_up3) {ud3P1_clr=up4_clr;}
   if (cP1 <= RSI_dn3) {ud3P1_clr=dn4_clr;}
   if (cP1 >= RSI_up4) {ud4P1_clr=up5_clr;}
   if (cP1 <= RSI_dn4) {ud4P1_clr=dn5_clr;}
   if (cP1 >= RSI_up5) {ud5P1_clr=up6_clr;}
   if (cP1 <= RSI_dn5) {ud5P1_clr=dn6_clr;}
   if (cP1 >= RSI_up6) {ud6P1_clr=up7_clr;}
   if (cP1 <= RSI_dn6) {ud6P1_clr=dn7_clr;}
   if (cP1 >= RSI_up7) {ud7P1_clr=up8_clr;}
   if (cP1 <= RSI_dn7) {ud7P1_clr=dn8_clr;}
   if (cP1 >= RSI_up8) {ud8P1_clr=up9_clr;}
   if (cP1 <= RSI_dn8) {ud8P1_clr=dn9_clr;}
   if (cP1 >= RSI_up9) {ud9P1_clr=up10_clr;}
   if (cP1 <= RSI_dn9) {ud9P1_clr=dn10_clr;}

   color midP2_clr,ud1P2_clr,ud2P2_clr,ud3P2_clr,ud4P2_clr,
         ud5P2_clr,ud6P2_clr,ud7P2_clr,ud8P2_clr,ud9P2_clr;

   if (cP2 == RSI_MID) {midP2_clr=MID_clr;}
   if (cP2 > RSI_MID) {midP2_clr=up1_clr;}
   if (cP2 < RSI_MID) {midP2_clr=dn1_clr;}
   if (cP2 >= RSI_up1) {ud1P2_clr=up2_clr;}
   if (cP2 <= RSI_dn1) {ud1P2_clr=dn2_clr;}
   if (cP2 >= RSI_up2) {ud2P2_clr=up3_clr;}
   if (cP2 <= RSI_dn2) {ud2P2_clr=dn3_clr;}
   if (cP2 >= RSI_up3) {ud3P2_clr=up4_clr;}
   if (cP2 <= RSI_dn3) {ud3P2_clr=dn4_clr;}
   if (cP2 >= RSI_up4) {ud4P2_clr=up5_clr;}
   if (cP2 <= RSI_dn4) {ud4P2_clr=dn5_clr;}
   if (cP2 >= RSI_up5) {ud5P2_clr=up6_clr;}
   if (cP2 <= RSI_dn5) {ud5P2_clr=dn6_clr;}
   if (cP2 >= RSI_up6) {ud6P2_clr=up7_clr;}
   if (cP2 <= RSI_dn6) {ud6P2_clr=dn7_clr;}
   if (cP2 >= RSI_up7) {ud7P2_clr=up8_clr;}
   if (cP2 <= RSI_dn7) {ud7P2_clr=dn8_clr;}
   if (cP2 >= RSI_up8) {ud8P2_clr=up9_clr;}
   if (cP2 <= RSI_dn8) {ud8P2_clr=dn9_clr;}
   if (cP2 >= RSI_up9) {ud9P2_clr=up10_clr;}
   if (cP2 <= RSI_dn9) {ud9P2_clr=dn10_clr;}

   color midP3_clr,ud1P3_clr,ud2P3_clr,ud3P3_clr,ud4P3_clr,
         ud5P3_clr,ud6P3_clr,ud7P3_clr,ud8P3_clr,ud9P3_clr;

   if (cP3 == RSI_MID) {midP3_clr=MID_clr;}
   if (cP3 > RSI_MID) {midP3_clr=up1_clr;}
   if (cP3 < RSI_MID) {midP3_clr=dn1_clr;}
   if (cP3 >= RSI_up1) {ud1P3_clr=up2_clr;}
   if (cP3 <= RSI_dn1) {ud1P3_clr=dn2_clr;}
   if (cP3 >= RSI_up2) {ud2P3_clr=up3_clr;}
   if (cP3 <= RSI_dn2) {ud2P3_clr=dn3_clr;}
   if (cP3 >= RSI_up3) {ud3P3_clr=up4_clr;}
   if (cP3 <= RSI_dn3) {ud3P3_clr=dn4_clr;}
   if (cP3 >= RSI_up4) {ud4P3_clr=up5_clr;}
   if (cP3 <= RSI_dn4) {ud4P3_clr=dn5_clr;}
   if (cP3 >= RSI_up5) {ud5P3_clr=up6_clr;}
   if (cP3 <= RSI_dn5) {ud5P3_clr=dn6_clr;}
   if (cP3 >= RSI_up6) {ud6P3_clr=up7_clr;}
   if (cP3 <= RSI_dn6) {ud6P3_clr=dn7_clr;}
   if (cP3 >= RSI_up7) {ud7P3_clr=up8_clr;}
   if (cP3 <= RSI_dn7) {ud7P3_clr=dn8_clr;}
   if (cP3 >= RSI_up8) {ud8P3_clr=up9_clr;}
   if (cP3 <= RSI_dn8) {ud8P3_clr=dn9_clr;}
   if (cP3 >= RSI_up9) {ud9P3_clr=up10_clr;}
   if (cP3 <= RSI_dn9) {ud9P3_clr=dn10_clr;}

   color midP4_clr,ud1P4_clr,ud2P4_clr,ud3P4_clr,ud4P4_clr,
         ud5P4_clr,ud6P4_clr,ud7P4_clr,ud8P4_clr,ud9P4_clr;

   if (cP4 == RSI_MID) {midP4_clr=MID_clr;}
   if (cP4 > RSI_MID) {midP4_clr=up1_clr;}
   if (cP4 < RSI_MID) {midP4_clr=dn1_clr;}
   if (cP4 >= RSI_up1) {ud1P4_clr=up2_clr;}
   if (cP4 <= RSI_dn1) {ud1P4_clr=dn2_clr;}
   if (cP4 >= RSI_up2) {ud2P4_clr=up3_clr;}
   if (cP4 <= RSI_dn2) {ud2P4_clr=dn3_clr;}
   if (cP4 >= RSI_up3) {ud3P4_clr=up4_clr;}
   if (cP4 <= RSI_dn3) {ud3P4_clr=dn4_clr;}
   if (cP4 >= RSI_up4) {ud4P4_clr=up5_clr;}
   if (cP4 <= RSI_dn4) {ud4P4_clr=dn5_clr;}
   if (cP4 >= RSI_up5) {ud5P4_clr=up6_clr;}
   if (cP4 <= RSI_dn5) {ud5P4_clr=dn6_clr;}
   if (cP4 >= RSI_up6) {ud6P4_clr=up7_clr;}
   if (cP4 <= RSI_dn6) {ud6P4_clr=dn7_clr;}
   if (cP4 >= RSI_up7) {ud7P4_clr=up8_clr;}
   if (cP4 <= RSI_dn7) {ud7P4_clr=dn8_clr;}
   if (cP4 >= RSI_up8) {ud8P4_clr=up9_clr;}
   if (cP4 <= RSI_dn8) {ud8P4_clr=dn9_clr;}
   if (cP4 >= RSI_up9) {ud9P4_clr=up10_clr;}
   if (cP4 <= RSI_dn9) {ud9P4_clr=dn10_clr;}

   color midP5_clr,ud1P5_clr,ud2P5_clr,ud3P5_clr,ud4P5_clr,
         ud5P5_clr,ud6P5_clr,ud7P5_clr,ud8P5_clr,ud9P5_clr;

   if (cP5 == RSI_MID) {midP5_clr=MID_clr;}
   if (cP5 > RSI_MID) {midP5_clr=up1_clr;}
   if (cP5 < RSI_MID) {midP5_clr=dn1_clr;}
   if (cP5 >= RSI_up1) {ud1P5_clr=up2_clr;}
   if (cP5 <= RSI_dn1) {ud1P5_clr=dn2_clr;}
   if (cP5 >= RSI_up2) {ud2P5_clr=up3_clr;}
   if (cP5 <= RSI_dn2) {ud2P5_clr=dn3_clr;}
   if (cP5 >= RSI_up3) {ud3P5_clr=up4_clr;}
   if (cP5 <= RSI_dn3) {ud3P5_clr=dn4_clr;}
   if (cP5 >= RSI_up4) {ud4P5_clr=up5_clr;}
   if (cP5 <= RSI_dn4) {ud4P5_clr=dn5_clr;}
   if (cP5 >= RSI_up5) {ud5P5_clr=up6_clr;}
   if (cP5 <= RSI_dn5) {ud5P5_clr=dn6_clr;}
   if (cP5 >= RSI_up6) {ud6P5_clr=up7_clr;}
   if (cP5 <= RSI_dn6) {ud6P5_clr=dn7_clr;}
   if (cP5 >= RSI_up7) {ud7P5_clr=up8_clr;}
   if (cP5 <= RSI_dn7) {ud7P5_clr=dn8_clr;}
   if (cP5 >= RSI_up8) {ud8P5_clr=up9_clr;}
   if (cP5 <= RSI_dn8) {ud8P5_clr=dn9_clr;}
   if (cP5 >= RSI_up9) {ud9P5_clr=up10_clr;}
   if (cP5 <= RSI_dn9) {ud9P5_clr=dn10_clr;}

   color midP6_clr,ud1P6_clr,ud2P6_clr,ud3P6_clr,ud4P6_clr,
         ud5P6_clr,ud6P6_clr,ud7P6_clr,ud8P6_clr,ud9P6_clr;

   if (cP6 == RSI_MID) {midP6_clr=MID_clr;}
   if (cP6 > RSI_MID) {midP6_clr=up1_clr;}
   if (cP6 < RSI_MID) {midP6_clr=dn1_clr;}
   if (cP6 >= RSI_up1) {ud1P6_clr=up2_clr;}
   if (cP6 <= RSI_dn1) {ud1P6_clr=dn2_clr;}
   if (cP6 >= RSI_up2) {ud2P6_clr=up3_clr;}
   if (cP6 <= RSI_dn2) {ud2P6_clr=dn3_clr;}
   if (cP6 >= RSI_up3) {ud3P6_clr=up4_clr;}
   if (cP6 <= RSI_dn3) {ud3P6_clr=dn4_clr;}
   if (cP6 >= RSI_up4) {ud4P6_clr=up5_clr;}
   if (cP6 <= RSI_dn4) {ud4P6_clr=dn5_clr;}
   if (cP6 >= RSI_up5) {ud5P6_clr=up6_clr;}
   if (cP6 <= RSI_dn5) {ud5P6_clr=dn6_clr;}
   if (cP6 >= RSI_up6) {ud6P6_clr=up7_clr;}
   if (cP6 <= RSI_dn6) {ud6P6_clr=dn7_clr;}
   if (cP6 >= RSI_up7) {ud7P6_clr=up8_clr;}
   if (cP6 <= RSI_dn7) {ud7P6_clr=dn8_clr;}
   if (cP6 >= RSI_up8) {ud8P6_clr=up9_clr;}
   if (cP6 <= RSI_dn8) {ud8P6_clr=dn9_clr;}
   if (cP6 >= RSI_up9) {ud9P6_clr=up10_clr;}
   if (cP6 <= RSI_dn9) {ud9P6_clr=dn10_clr;}

   color midP7_clr,ud1P7_clr,ud2P7_clr,ud3P7_clr,ud4P7_clr,
         ud5P7_clr,ud6P7_clr,ud7P7_clr,ud8P7_clr,ud9P7_clr;

   if (cP7 == RSI_MID) {midP7_clr=MID_clr;}
   if (cP7 > RSI_MID) {midP7_clr=up1_clr;}
   if (cP7 < RSI_MID) {midP7_clr=dn1_clr;}
   if (cP7 >= RSI_up1) {ud1P7_clr=up2_clr;}
   if (cP7 <= RSI_dn1) {ud1P7_clr=dn2_clr;}
   if (cP7 >= RSI_up2) {ud2P7_clr=up3_clr;}
   if (cP7 <= RSI_dn2) {ud2P7_clr=dn3_clr;}
   if (cP7 >= RSI_up3) {ud3P7_clr=up4_clr;}
   if (cP7 <= RSI_dn3) {ud3P7_clr=dn4_clr;}
   if (cP7 >= RSI_up4) {ud4P7_clr=up5_clr;}
   if (cP7 <= RSI_dn4) {ud4P7_clr=dn5_clr;}
   if (cP7 >= RSI_up5) {ud5P7_clr=up6_clr;}
   if (cP7 <= RSI_dn5) {ud5P7_clr=dn6_clr;}
   if (cP7 >= RSI_up6) {ud6P7_clr=up7_clr;}
   if (cP7 <= RSI_dn6) {ud6P7_clr=dn7_clr;}
   if (cP7 >= RSI_up7) {ud7P7_clr=up8_clr;}
   if (cP7 <= RSI_dn7) {ud7P7_clr=dn8_clr;}
   if (cP7 >= RSI_up8) {ud8P7_clr=up9_clr;}
   if (cP7 <= RSI_dn8) {ud8P7_clr=dn9_clr;}
   if (cP7 >= RSI_up9) {ud9P7_clr=up10_clr;}
   if (cP7 <= RSI_dn9) {ud9P7_clr=dn10_clr;}

   if (cP1 > pP1) {midoP1_clr=DodgerBlue;}
   if (cP1 < pP1) {midoP1_clr=DeepPink;}
   if (cP1 == pP1) {midoP1_clr=Gray;}

   if (cP2 > pP2) {midoP2_clr=DodgerBlue;}
   if (cP2 < pP2) {midoP2_clr=DeepPink;}
   if (cP2 == pP2) {midoP2_clr=Gray;}

   if (cP3 > pP3) {midoP3_clr=DodgerBlue;}
   if (cP3 < pP3) {midoP3_clr=DeepPink;}
   if (cP3 == pP3) {midoP3_clr=Gray;}

   if (cP4 > pP4) {midoP4_clr=DodgerBlue;}
   if (cP4 < pP4) {midoP4_clr=DeepPink;}
   if (cP4 == pP4) {midoP4_clr=Gray;}

   if (cP5 > pP5) {midoP5_clr=DodgerBlue;}
   if (cP5 < pP5) {midoP5_clr=DeepPink;}
   if (cP5 == pP5) {midoP5_clr=Gray;}

   if (cP6 > pP6) {midoP6_clr=DodgerBlue;}
   if (cP6 < pP6) {midoP6_clr=DeepPink;}
   if (cP6 == pP6) {midoP6_clr=Gray;}

   if (cP7 > pP7) {midoP7_clr=DodgerBlue;}
   if (cP7 < pP7) {midoP7_clr=DeepPink;}
   if (cP7 == pP7) {midoP7_clr=Gray;}

//*****************************************************************************************************

   ObjectSetText("rsi"+RSI+""+Price_Type+"_10", "n", 10, "Webdings", midP7_clr);
   ObjectSetText("rsi"+RSI+""+Price_Type+"_09", "g", 10, "Webdings", ud1P7_clr);
   ObjectSetText("rsi"+RSI+""+Price_Type+"_08", "g", 10, "Webdings", ud2P7_clr);
   ObjectSetText("rsi"+RSI+""+Price_Type+"_07", "g", 10, "Webdings", ud3P7_clr);
   ObjectSetText("rsi"+RSI+""+Price_Type+"_06", "g", 10, "Webdings", ud4P7_clr);
   ObjectSetText("rsi"+RSI+""+Price_Type+"_05", "g", 10, "Webdings", ud5P7_clr);
   ObjectSetText("rsi"+RSI+""+Price_Type+"_04", "g", 10, "Webdings", ud6P7_clr);
   ObjectSetText("rsi"+RSI+""+Price_Type+"_03", "g", 10, "Webdings", ud7P7_clr);
   ObjectSetText("rsi"+RSI+""+Price_Type+"_02", "g", 10, "Webdings", ud8P7_clr);
   ObjectSetText("rsi"+RSI+""+Price_Type+"_01", "g", 10, "Webdings", ud9P7_clr);

   ObjectSetText("rsi"+RSI+""+Price_Type+"_20", "n", 10, "Webdings", midP6_clr);
   ObjectSetText("rsi"+RSI+""+Price_Type+"_19", "g", 10, "Webdings", ud1P6_clr);
   ObjectSetText("rsi"+RSI+""+Price_Type+"_18", "g", 10, "Webdings", ud2P6_clr);
   ObjectSetText("rsi"+RSI+""+Price_Type+"_17", "g", 10, "Webdings", ud3P6_clr);
   ObjectSetText("rsi"+RSI+""+Price_Type+"_16", "g", 10, "Webdings", ud4P6_clr);
   ObjectSetText("rsi"+RSI+""+Price_Type+"_15", "g", 10, "Webdings", ud5P6_clr);
   ObjectSetText("rsi"+RSI+""+Price_Type+"_14", "g", 10, "Webdings", ud6P6_clr);
   ObjectSetText("rsi"+RSI+""+Price_Type+"_13", "g", 10, "Webdings", ud7P6_clr);
   ObjectSetText("rsi"+RSI+""+Price_Type+"_12", "g", 10, "Webdings", ud8P6_clr);
   ObjectSetText("rsi"+RSI+""+Price_Type+"_11", "g", 10, "Webdings", ud9P6_clr);

   ObjectSetText("rsi"+RSI+""+Price_Type+"_30", "n", 10, "Webdings", midP5_clr);
   ObjectSetText("rsi"+RSI+""+Price_Type+"_29", "g", 10, "Webdings", ud1P5_clr);
   ObjectSetText("rsi"+RSI+""+Price_Type+"_28", "g", 10, "Webdings", ud2P5_clr);
   ObjectSetText("rsi"+RSI+""+Price_Type+"_27", "g", 10, "Webdings", ud3P5_clr);
   ObjectSetText("rsi"+RSI+""+Price_Type+"_26", "g", 10, "Webdings", ud4P5_clr);
   ObjectSetText("rsi"+RSI+""+Price_Type+"_25", "g", 10, "Webdings", ud5P5_clr);
   ObjectSetText("rsi"+RSI+""+Price_Type+"_24", "g", 10, "Webdings", ud6P5_clr);
   ObjectSetText("rsi"+RSI+""+Price_Type+"_23", "g", 10, "Webdings", ud7P5_clr);
   ObjectSetText("rsi"+RSI+""+Price_Type+"_22", "g", 10, "Webdings", ud8P5_clr);
   ObjectSetText("rsi"+RSI+""+Price_Type+"_21", "g", 10, "Webdings", ud9P5_clr);

   ObjectSetText("rsi"+RSI+""+Price_Type+"_40", "n", 10, "Webdings", midP4_clr);
   ObjectSetText("rsi"+RSI+""+Price_Type+"_39", "g", 10, "Webdings", ud1P4_clr);
   ObjectSetText("rsi"+RSI+""+Price_Type+"_38", "g", 10, "Webdings", ud2P4_clr);
   ObjectSetText("rsi"+RSI+""+Price_Type+"_37", "g", 10, "Webdings", ud3P4_clr);
   ObjectSetText("rsi"+RSI+""+Price_Type+"_36", "g", 10, "Webdings", ud4P4_clr);
   ObjectSetText("rsi"+RSI+""+Price_Type+"_35", "g", 10, "Webdings", ud5P4_clr);
   ObjectSetText("rsi"+RSI+""+Price_Type+"_34", "g", 10, "Webdings", ud6P4_clr);
   ObjectSetText("rsi"+RSI+""+Price_Type+"_33", "g", 10, "Webdings", ud7P4_clr);
   ObjectSetText("rsi"+RSI+""+Price_Type+"_32", "g", 10, "Webdings", ud8P4_clr);
   ObjectSetText("rsi"+RSI+""+Price_Type+"_31", "g", 10, "Webdings", ud9P4_clr);

   ObjectSetText("rsi"+RSI+""+Price_Type+"_50", "n", 10, "Webdings", midP3_clr);
   ObjectSetText("rsi"+RSI+""+Price_Type+"_49", "g", 10, "Webdings", ud1P3_clr);
   ObjectSetText("rsi"+RSI+""+Price_Type+"_48", "g", 10, "Webdings", ud2P3_clr);
   ObjectSetText("rsi"+RSI+""+Price_Type+"_47", "g", 10, "Webdings", ud3P3_clr);
   ObjectSetText("rsi"+RSI+""+Price_Type+"_46", "g", 10, "Webdings", ud4P3_clr);
   ObjectSetText("rsi"+RSI+""+Price_Type+"_45", "g", 10, "Webdings", ud5P3_clr);
   ObjectSetText("rsi"+RSI+""+Price_Type+"_44", "g", 10, "Webdings", ud6P3_clr);
   ObjectSetText("rsi"+RSI+""+Price_Type+"_43", "g", 10, "Webdings", ud7P3_clr);
   ObjectSetText("rsi"+RSI+""+Price_Type+"_42", "g", 10, "Webdings", ud8P3_clr);
   ObjectSetText("rsi"+RSI+""+Price_Type+"_41", "g", 10, "Webdings", ud9P3_clr);

   ObjectSetText("rsi"+RSI+""+Price_Type+"_60", "n", 10, "Webdings", midP2_clr);
   ObjectSetText("rsi"+RSI+""+Price_Type+"_59", "g", 10, "Webdings", ud1P2_clr);
   ObjectSetText("rsi"+RSI+""+Price_Type+"_58", "g", 10, "Webdings", ud2P2_clr);
   ObjectSetText("rsi"+RSI+""+Price_Type+"_57", "g", 10, "Webdings", ud3P2_clr);
   ObjectSetText("rsi"+RSI+""+Price_Type+"_56", "g", 10, "Webdings", ud4P2_clr);
   ObjectSetText("rsi"+RSI+""+Price_Type+"_55", "g", 10, "Webdings", ud5P2_clr);
   ObjectSetText("rsi"+RSI+""+Price_Type+"_54", "g", 10, "Webdings", ud6P2_clr);
   ObjectSetText("rsi"+RSI+""+Price_Type+"_53", "g", 10, "Webdings", ud7P2_clr);
   ObjectSetText("rsi"+RSI+""+Price_Type+"_52", "g", 10, "Webdings", ud8P2_clr);
   ObjectSetText("rsi"+RSI+""+Price_Type+"_51", "g", 10, "Webdings", ud9P2_clr);

   ObjectSetText("rsi"+RSI+""+Price_Type+"_70", "n", 10, "Webdings", midP1_clr);
   ObjectSetText("rsi"+RSI+""+Price_Type+"_69", "g", 10, "Webdings", ud1P1_clr);
   ObjectSetText("rsi"+RSI+""+Price_Type+"_68", "g", 10, "Webdings", ud2P1_clr);
   ObjectSetText("rsi"+RSI+""+Price_Type+"_67", "g", 10, "Webdings", ud3P1_clr);
   ObjectSetText("rsi"+RSI+""+Price_Type+"_66", "g", 10, "Webdings", ud4P1_clr);
   ObjectSetText("rsi"+RSI+""+Price_Type+"_65", "g", 10, "Webdings", ud5P1_clr);
   ObjectSetText("rsi"+RSI+""+Price_Type+"_64", "g", 10, "Webdings", ud6P1_clr);
   ObjectSetText("rsi"+RSI+""+Price_Type+"_63", "g", 10, "Webdings", ud7P1_clr);
   ObjectSetText("rsi"+RSI+""+Price_Type+"_62", "g", 10, "Webdings", ud8P1_clr);
   ObjectSetText("rsi"+RSI+""+Price_Type+"_61", "g", 10, "Webdings", ud9P1_clr);

   ObjectSetText("rsi"+RSI+""+Price_Type+"Tex1", "M1", 8, "Arial Narrow", midP1_clr);
   ObjectSetText("rsi"+RSI+""+Price_Type+"Tex2", "M5", 8, "Arial Narrow", midP2_clr);
   ObjectSetText("rsi"+RSI+""+Price_Type+"Tex3", "15", 8, "Arial Narrow", midP3_clr);
   ObjectSetText("rsi"+RSI+""+Price_Type+"Tex4", "30", 8, "Arial Narrow", midP4_clr);
   ObjectSetText("rsi"+RSI+""+Price_Type+"Tex5", "H1", 8, "Arial Narrow", midP5_clr);
   ObjectSetText("rsi"+RSI+""+Price_Type+"Tex6", "H4", 8, "Arial Narrow", midP6_clr);
   ObjectSetText("rsi"+RSI+""+Price_Type+"Tex7", "D1", 8, "Arial Narrow", midP7_clr);

   ObjectSetText("rsi"+RSI+""+Price_Type+"_Line", "----------------------------------", 8, "Arial", Line30_70_clr);
   ObjectSetText("rsi"+RSI+""+Price_Type+"_Name", "RSI_"+RSI+"", 10, "Arial Narrow", midP3_clr);
   ObjectSetText("rsi"+RSI+""+Price_Type+"_Name2", "+JoGET+", 7, "Arial Narrow", midP5_clr);
   ObjectSetText("rsi"+RSI+""+Price_Type+"_udP1", "n", 5, "Webdings", midoP1_clr);
   ObjectSetText("rsi"+RSI+""+Price_Type+"_udP2", "n", 5, "Webdings", midoP2_clr);
   ObjectSetText("rsi"+RSI+""+Price_Type+"_udP3", "n", 5, "Webdings", midoP3_clr);
   ObjectSetText("rsi"+RSI+""+Price_Type+"_udP4", "n", 5, "Webdings", midoP4_clr);
   ObjectSetText("rsi"+RSI+""+Price_Type+"_udP5", "n", 5, "Webdings", midoP5_clr);
   ObjectSetText("rsi"+RSI+""+Price_Type+"_udP6", "n", 5, "Webdings", midoP6_clr);
   ObjectSetText("rsi"+RSI+""+Price_Type+"_udP7", "n", 5, "Webdings", midoP7_clr);

//*****************************************************************************************************
 //----
   return(0);
  }

//+------------------------------------------------------------------+
//| Custom indicator initialization function                         |
//+------------------------------------------------------------------+
int CreateOL( string n, int xoff, int yoff ) {
   ObjectCreate( n, OBJ_LABEL, window, 0, 0 );
   ObjectSet( n, OBJPROP_CORNER, corner );
   ObjectSet( n, OBJPROP_XDISTANCE, xoff );
   ObjectSet( n, OBJPROP_YDISTANCE, yoff );
   ObjectSet( n, OBJPROP_BACK, false );
}


int init()
  {

//---- 
   IndicatorShortName("RSI_Mtr ( "+RSI+" )");  
//---- indicators

   CreateOL( "rsi"+RSI+""+Price_Type+"_Line", x_offset+5, y_offset+43 );
   CreateOL( "rsi"+RSI+""+Price_Type+"_Name", x_offset+7, y_offset+91 );
   CreateOL( "rsi"+RSI+""+Price_Type+"_Name2", x_offset+73, y_offset+91 );

   CreateOL( "rsi"+RSI+""+Price_Type+"_udP1", x_offset+98, y_offset+18 );
   CreateOL( "rsi"+RSI+""+Price_Type+"_udP2", x_offset+83, y_offset+18 );
   CreateOL( "rsi"+RSI+""+Price_Type+"_udP3", x_offset+68, y_offset+18 );
   CreateOL( "rsi"+RSI+""+Price_Type+"_udP4", x_offset+53, y_offset+18 );
   CreateOL( "rsi"+RSI+""+Price_Type+"_udP5", x_offset+38, y_offset+18 );
   CreateOL( "rsi"+RSI+""+Price_Type+"_udP6", x_offset+23, y_offset+18 );
   CreateOL( "rsi"+RSI+""+Price_Type+"_udP7", x_offset+8, y_offset+18 );

   CreateOL( "rsi"+RSI+""+Price_Type+"Tex7", x_offset+5, y_offset+5 );
   CreateOL( "rsi"+RSI+""+Price_Type+"Tex6", x_offset+20, y_offset+5 );
   CreateOL( "rsi"+RSI+""+Price_Type+"Tex5", x_offset+35, y_offset+5 );
   CreateOL( "rsi"+RSI+""+Price_Type+"Tex4", x_offset+50, y_offset+5 );
   CreateOL( "rsi"+RSI+""+Price_Type+"Tex3", x_offset+65, y_offset+5 );
   CreateOL( "rsi"+RSI+""+Price_Type+"Tex2", x_offset+80, y_offset+5 );
   CreateOL( "rsi"+RSI+""+Price_Type+"Tex1", x_offset+95, y_offset+5 );

   CreateOL( "rsi"+RSI+""+Price_Type+"_10", x_offset+5, y_offset+15 );
   CreateOL( "rsi"+RSI+""+Price_Type+"_09", x_offset+5, y_offset+20 );
   CreateOL( "rsi"+RSI+""+Price_Type+"_08", x_offset+5, y_offset+27 );
   CreateOL( "rsi"+RSI+""+Price_Type+"_07", x_offset+5, y_offset+34 );
   CreateOL( "rsi"+RSI+""+Price_Type+"_06", x_offset+5, y_offset+41 );
   CreateOL( "rsi"+RSI+""+Price_Type+"_05", x_offset+5, y_offset+48 );
   CreateOL( "rsi"+RSI+""+Price_Type+"_04", x_offset+5, y_offset+55 );
   CreateOL( "rsi"+RSI+""+Price_Type+"_03", x_offset+5, y_offset+62 );
   CreateOL( "rsi"+RSI+""+Price_Type+"_02", x_offset+5, y_offset+69 );
   CreateOL( "rsi"+RSI+""+Price_Type+"_01", x_offset+5, y_offset+76 );

   CreateOL( "rsi"+RSI+""+Price_Type+"_20", x_offset+20, y_offset+15 );
   CreateOL( "rsi"+RSI+""+Price_Type+"_19", x_offset+20, y_offset+20 );
   CreateOL( "rsi"+RSI+""+Price_Type+"_18", x_offset+20, y_offset+27 );
   CreateOL( "rsi"+RSI+""+Price_Type+"_17", x_offset+20, y_offset+34 );
   CreateOL( "rsi"+RSI+""+Price_Type+"_16", x_offset+20, y_offset+41 );
   CreateOL( "rsi"+RSI+""+Price_Type+"_15", x_offset+20, y_offset+48 );
   CreateOL( "rsi"+RSI+""+Price_Type+"_14", x_offset+20, y_offset+55 );
   CreateOL( "rsi"+RSI+""+Price_Type+"_13", x_offset+20, y_offset+62 );
   CreateOL( "rsi"+RSI+""+Price_Type+"_12", x_offset+20, y_offset+69 );
   CreateOL( "rsi"+RSI+""+Price_Type+"_11", x_offset+20, y_offset+76 );

   CreateOL( "rsi"+RSI+""+Price_Type+"_30", x_offset+35, y_offset+15 );
   CreateOL( "rsi"+RSI+""+Price_Type+"_29", x_offset+35, y_offset+20 );
   CreateOL( "rsi"+RSI+""+Price_Type+"_28", x_offset+35, y_offset+27 );
   CreateOL( "rsi"+RSI+""+Price_Type+"_27", x_offset+35, y_offset+34 );
   CreateOL( "rsi"+RSI+""+Price_Type+"_26", x_offset+35, y_offset+41 );
   CreateOL( "rsi"+RSI+""+Price_Type+"_25", x_offset+35, y_offset+48 );
   CreateOL( "rsi"+RSI+""+Price_Type+"_24", x_offset+35, y_offset+55 );
   CreateOL( "rsi"+RSI+""+Price_Type+"_23", x_offset+35, y_offset+62 );
   CreateOL( "rsi"+RSI+""+Price_Type+"_22", x_offset+35, y_offset+69 );
   CreateOL( "rsi"+RSI+""+Price_Type+"_21", x_offset+35, y_offset+76 );

   CreateOL( "rsi"+RSI+""+Price_Type+"_40", x_offset+50, y_offset+15 );
   CreateOL( "rsi"+RSI+""+Price_Type+"_39", x_offset+50, y_offset+20 );
   CreateOL( "rsi"+RSI+""+Price_Type+"_38", x_offset+50, y_offset+27 );
   CreateOL( "rsi"+RSI+""+Price_Type+"_37", x_offset+50, y_offset+34 );
   CreateOL( "rsi"+RSI+""+Price_Type+"_36", x_offset+50, y_offset+41 );
   CreateOL( "rsi"+RSI+""+Price_Type+"_35", x_offset+50, y_offset+48 );
   CreateOL( "rsi"+RSI+""+Price_Type+"_34", x_offset+50, y_offset+55 );
   CreateOL( "rsi"+RSI+""+Price_Type+"_33", x_offset+50, y_offset+62 );
   CreateOL( "rsi"+RSI+""+Price_Type+"_32", x_offset+50, y_offset+69 );
   CreateOL( "rsi"+RSI+""+Price_Type+"_31", x_offset+50, y_offset+76 );

   CreateOL( "rsi"+RSI+""+Price_Type+"_50", x_offset+65, y_offset+15 );
   CreateOL( "rsi"+RSI+""+Price_Type+"_49", x_offset+65, y_offset+20 );
   CreateOL( "rsi"+RSI+""+Price_Type+"_48", x_offset+65, y_offset+27 );
   CreateOL( "rsi"+RSI+""+Price_Type+"_47", x_offset+65, y_offset+34 );
   CreateOL( "rsi"+RSI+""+Price_Type+"_46", x_offset+65, y_offset+41 );
   CreateOL( "rsi"+RSI+""+Price_Type+"_45", x_offset+65, y_offset+48 );
   CreateOL( "rsi"+RSI+""+Price_Type+"_44", x_offset+65, y_offset+55 );
   CreateOL( "rsi"+RSI+""+Price_Type+"_43", x_offset+65, y_offset+62 );
   CreateOL( "rsi"+RSI+""+Price_Type+"_42", x_offset+65, y_offset+69 );
   CreateOL( "rsi"+RSI+""+Price_Type+"_41", x_offset+65, y_offset+76 );

   CreateOL( "rsi"+RSI+""+Price_Type+"_60", x_offset+80, y_offset+15 );
   CreateOL( "rsi"+RSI+""+Price_Type+"_59", x_offset+80, y_offset+20 );
   CreateOL( "rsi"+RSI+""+Price_Type+"_58", x_offset+80, y_offset+27 );
   CreateOL( "rsi"+RSI+""+Price_Type+"_57", x_offset+80, y_offset+34 );
   CreateOL( "rsi"+RSI+""+Price_Type+"_56", x_offset+80, y_offset+41 );
   CreateOL( "rsi"+RSI+""+Price_Type+"_55", x_offset+80, y_offset+48 );
   CreateOL( "rsi"+RSI+""+Price_Type+"_54", x_offset+80, y_offset+55 );
   CreateOL( "rsi"+RSI+""+Price_Type+"_53", x_offset+80, y_offset+62 );
   CreateOL( "rsi"+RSI+""+Price_Type+"_52", x_offset+80, y_offset+69 );
   CreateOL( "rsi"+RSI+""+Price_Type+"_51", x_offset+80, y_offset+76 );

   CreateOL( "rsi"+RSI+""+Price_Type+"_70", x_offset+95, y_offset+15 );
   CreateOL( "rsi"+RSI+""+Price_Type+"_69", x_offset+95, y_offset+20 );
   CreateOL( "rsi"+RSI+""+Price_Type+"_68", x_offset+95, y_offset+27 );
   CreateOL( "rsi"+RSI+""+Price_Type+"_67", x_offset+95, y_offset+34 );
   CreateOL( "rsi"+RSI+""+Price_Type+"_66", x_offset+95, y_offset+41 );
   CreateOL( "rsi"+RSI+""+Price_Type+"_65", x_offset+95, y_offset+48 );
   CreateOL( "rsi"+RSI+""+Price_Type+"_64", x_offset+95, y_offset+55 );
   CreateOL( "rsi"+RSI+""+Price_Type+"_63", x_offset+95, y_offset+62 );
   CreateOL( "rsi"+RSI+""+Price_Type+"_62", x_offset+95, y_offset+69 );
   CreateOL( "rsi"+RSI+""+Price_Type+"_61", x_offset+95, y_offset+76 );

//----
   return(0);
  }

//+------------------------------------------------------------------+
//| Custom indicator deinitialization function                       |
//+------------------------------------------------------------------+
int deinit()
  {
//----
   ObjectDelete("rsi"+RSI+""+Price_Type+"_01");   ObjectDelete("rsi"+RSI+""+Price_Type+"_02");
   ObjectDelete("rsi"+RSI+""+Price_Type+"_03");   ObjectDelete("rsi"+RSI+""+Price_Type+"_04");
   ObjectDelete("rsi"+RSI+""+Price_Type+"_05");   ObjectDelete("rsi"+RSI+""+Price_Type+"_06");
   ObjectDelete("rsi"+RSI+""+Price_Type+"_07");   ObjectDelete("rsi"+RSI+""+Price_Type+"_08");
   ObjectDelete("rsi"+RSI+""+Price_Type+"_09");   ObjectDelete("rsi"+RSI+""+Price_Type+"_10");

   ObjectDelete("rsi"+RSI+""+Price_Type+"_11");   ObjectDelete("rsi"+RSI+""+Price_Type+"_12");
   ObjectDelete("rsi"+RSI+""+Price_Type+"_13");   ObjectDelete("rsi"+RSI+""+Price_Type+"_14");
   ObjectDelete("rsi"+RSI+""+Price_Type+"_15");   ObjectDelete("rsi"+RSI+""+Price_Type+"_16");
   ObjectDelete("rsi"+RSI+""+Price_Type+"_17");   ObjectDelete("rsi"+RSI+""+Price_Type+"_18");
   ObjectDelete("rsi"+RSI+""+Price_Type+"_19");   ObjectDelete("rsi"+RSI+""+Price_Type+"_20");

   ObjectDelete("rsi"+RSI+""+Price_Type+"_21");   ObjectDelete("rsi"+RSI+""+Price_Type+"_22");
   ObjectDelete("rsi"+RSI+""+Price_Type+"_23");   ObjectDelete("rsi"+RSI+""+Price_Type+"_24");
   ObjectDelete("rsi"+RSI+""+Price_Type+"_25");   ObjectDelete("rsi"+RSI+""+Price_Type+"_26");
   ObjectDelete("rsi"+RSI+""+Price_Type+"_27");   ObjectDelete("rsi"+RSI+""+Price_Type+"_28");
   ObjectDelete("rsi"+RSI+""+Price_Type+"_29");   ObjectDelete("rsi"+RSI+""+Price_Type+"_30");

   ObjectDelete("rsi"+RSI+""+Price_Type+"_31");   ObjectDelete("rsi"+RSI+""+Price_Type+"_32");
   ObjectDelete("rsi"+RSI+""+Price_Type+"_33");   ObjectDelete("rsi"+RSI+""+Price_Type+"_34");
   ObjectDelete("rsi"+RSI+""+Price_Type+"_35");   ObjectDelete("rsi"+RSI+""+Price_Type+"_36");
   ObjectDelete("rsi"+RSI+""+Price_Type+"_37");   ObjectDelete("rsi"+RSI+""+Price_Type+"_38");
   ObjectDelete("rsi"+RSI+""+Price_Type+"_39");   ObjectDelete("rsi"+RSI+""+Price_Type+"_40");

   ObjectDelete("rsi"+RSI+""+Price_Type+"_41");   ObjectDelete("rsi"+RSI+""+Price_Type+"_42");
   ObjectDelete("rsi"+RSI+""+Price_Type+"_43");   ObjectDelete("rsi"+RSI+""+Price_Type+"_44");
   ObjectDelete("rsi"+RSI+""+Price_Type+"_45");   ObjectDelete("rsi"+RSI+""+Price_Type+"_46");
   ObjectDelete("rsi"+RSI+""+Price_Type+"_47");   ObjectDelete("rsi"+RSI+""+Price_Type+"_48");
   ObjectDelete("rsi"+RSI+""+Price_Type+"_49");   ObjectDelete("rsi"+RSI+""+Price_Type+"_50");

   ObjectDelete("rsi"+RSI+""+Price_Type+"_51");   ObjectDelete("rsi"+RSI+""+Price_Type+"_52");
   ObjectDelete("rsi"+RSI+""+Price_Type+"_53");   ObjectDelete("rsi"+RSI+""+Price_Type+"_54");
   ObjectDelete("rsi"+RSI+""+Price_Type+"_55");   ObjectDelete("rsi"+RSI+""+Price_Type+"_56");
   ObjectDelete("rsi"+RSI+""+Price_Type+"_57");   ObjectDelete("rsi"+RSI+""+Price_Type+"_58");
   ObjectDelete("rsi"+RSI+""+Price_Type+"_59");   ObjectDelete("rsi"+RSI+""+Price_Type+"_60");

   ObjectDelete("rsi"+RSI+""+Price_Type+"_61");   ObjectDelete("rsi"+RSI+""+Price_Type+"_62");
   ObjectDelete("rsi"+RSI+""+Price_Type+"_63");   ObjectDelete("rsi"+RSI+""+Price_Type+"_64");
   ObjectDelete("rsi"+RSI+""+Price_Type+"_65");   ObjectDelete("rsi"+RSI+""+Price_Type+"_66");
   ObjectDelete("rsi"+RSI+""+Price_Type+"_67");   ObjectDelete("rsi"+RSI+""+Price_Type+"_68");
   ObjectDelete("rsi"+RSI+""+Price_Type+"_69");   ObjectDelete("rsi"+RSI+""+Price_Type+"_70");

   ObjectDelete("rsi"+RSI+""+Price_Type+"Tex1");   ObjectDelete("rsi"+RSI+""+Price_Type+"Tex2");
   ObjectDelete("rsi"+RSI+""+Price_Type+"Tex3");   ObjectDelete("rsi"+RSI+""+Price_Type+"Tex4");
   ObjectDelete("rsi"+RSI+""+Price_Type+"Tex5");   ObjectDelete("rsi"+RSI+""+Price_Type+"Tex6");
   ObjectDelete("rsi"+RSI+""+Price_Type+"Tex7");   ObjectDelete("rsi"+RSI+""+Price_Type+"_Line");
   ObjectDelete("rsi"+RSI+""+Price_Type+"_Name");  ObjectDelete("rsi"+RSI+""+Price_Type+"_udP1"); 
   ObjectDelete("rsi"+RSI+""+Price_Type+"_udP2");  ObjectDelete("rsi"+RSI+""+Price_Type+"_udP3"); 
   ObjectDelete("rsi"+RSI+""+Price_Type+"_udP4");  ObjectDelete("rsi"+RSI+""+Price_Type+"_udP5"); 
   ObjectDelete("rsi"+RSI+""+Price_Type+"_udP6");  ObjectDelete("rsi"+RSI+""+Price_Type+"_udP7"); 
   ObjectDelete("rsi"+RSI+""+Price_Type+"_Name2");  
//----
   return(0);
  }
//+------------------------------------------------------------------+

